<!--
  ~ EVS Client is part of the Gazelle Test Bed
  ~ Copyright (C) 2006-2016 IHE
  ~ mailto :eric DOT poiseau AT inria DOT fr
  ~
  ~ See the NOTICE file distributed with this work for additional information
  ~ regarding copyright ownership.  This code is licensed
  ~ to you under the Apache License, Version 2.0 (the
  ~ "License"); you may not use this file except in compliance
  ~ with the License.  You may obtain a copy of the License at
  ~
  ~   http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing,
  ~ software distributed under the License is distributed on an
  ~ "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
  ~ KIND, either express or implied.  See the License for the
  ~ specific language governing permissions and limitations
  ~ under the License.
  -->

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns:h="http://java.sun.com/jsf/html" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:g="http://www.ihe.net/gazelle" xmlns:f="http://java.sun.com/jsf/core"
                xmlns:rich="http://richfaces.org/rich" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:a4j="http://richfaces.org/a4j" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">

    <ui:define name="body">

        <h:form id="globalForm">
            #{homeBeanGui.initializeHome()}



            <s:div id="mainContentRegion" >

                <ui:decorate template="/layout/panels/_panel_title_id.xhtml">

                    <ui:param name="panel_id" value="homeInfo"/>

                    <ui:define name="panel_title">
                        <h:outputText value="#{messages['gazelle.evs.Home']}"/>
                        <em class="pull-right">
                            <a4j:commandLink title="#{messages['gazelle.evs.Save']}"
                                             actionListener="#{homeBeanGui.save()}"
                                             render="globalForm" rendered="#{homeBeanGui.mainContentEditMode}" >
                                <span class="fa fa-hdd-o"/>

                            </a4j:commandLink>
                            <a4j:commandLink
                                    title="#{messages['gazelle.evs.editMainContent']}"
                                    action="#{homeBeanGui.editMainContent()}" render="globalForm"
                                    rendered="#{identity.loggedIn and s:hasRole('admin_role') and not homeBeanGui.mainContentEditMode}">
                                <span class="gzl-icon-pencil"/>
                            </a4j:commandLink>

                        </em>
                    </ui:define>

                    <s:div  rendered="#{homeBeanGui.mainContentEditMode}">

                        <ui:decorate template="/layout/editor/_text_editor.xhtml">
                            <ui:param name="text" value="#{homeBeanGui.selectedHome.mainContent}"/>
                            <ui:param name="id" value="mainEditor"/>
                        </ui:decorate>

                    </s:div>
                    <s:div styleClass="form-horizontal" rendered="#{not homeBeanGui.mainContentEditMode}">

                        <h:outputText value="#{homeBeanGui.selectedHome.mainContent}"
                                      rendered="#{not empty homeBeanGui.selectedHome.mainContent}"
                                      escape="false"/>
                        <h:outputText value="#{messages['gazelle.evs.noHomeContent']}"
                                      rendered="#{empty homeBeanGui.selectedHome.mainContent}"/>
                    </s:div>
                </ui:decorate>
            </s:div>
        </h:form>
    </ui:define>
</ui:composition>

